## glycin 1.1.2+ds

=== meson_options.txt ===
# global

option(
  'profile',
  type: 'combo',
  choices: ['release', 'dev'],
  value: 'release',
)

# glycin loaders

option(
  'glycin-loaders',
  type: 'boolean',
  description: 'Build loaders',
)

option(
  'loaders',
  type: 'array',
  choices: [
    'glycin-heif',
    'glycin-image-rs',
    'glycin-jxl',
    'glycin-svg',
  ],
  value: [
    'glycin-heif',
    'glycin-image-rs',
    'glycin-jxl',
    'glycin-svg',
  ],
  description: 'List of loaders to build.',
)

option(
  'test_skip_ext',
  type: 'array',
  description: 'Image filename extensions, exlcuding dots, to skip during tests.',
)

option(
  'tests',
  type: 'boolean',
  value: true,
  description: 'Support running tests.',
)

option(
  'test_skip_install',
  type: 'boolean',
  value: false,
  description: 'Do not run meson install before running tests.',
)

# libglycin

option(
  'libglycin',
  type: 'boolean',
  description: 'Build C bindings for the glycin crate',
)

option(
  'introspection',
  type: 'boolean',
  description: 'Generate .gir and .typelib files',
)

option(
  'vapi',
  type: 'boolean',
  description: 'Generate .vapi files for the Vala language',
)

option(
  'capi_docs',
  type: 'boolean',
  value: false,
  description: 'Generate HTML documentation for C API',
)

option(
  'python_tests',
  type: 'boolean',
  value: false,
  description: 'Test python bindings. Needs python3-gi',
)

=== debian/changelog ===
glycin (1.1.2+ds-4) unstable; urgency=medium

  * Build with yeslogic-fontconfig-sys 5.0
  * Stop patching env-logger dependency

 -- Matthias Geiger <werdahias@debian.org>  Thu, 02 Jan 2025 13:57:30 +0100

glycin (1.1.2+ds-3) unstable; urgency=medium

  [ Matthias Geiger ]
  * Stop patching jpegxl dependency; build with jpegxl 0.10

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Dec 2024 14:21:15 -0500

glycin (1.1.2+ds-2) unstable; urgency=medium

  * Add patches to build with jpeg-xl 0.9
  * Build the jpeg-xl loader
  * Update package description
  * Update Homepage etc

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Dec 2024 18:18:33 -0500

glycin (1.1.2+ds-1) unstable; urgency=medium

  * New upstream release
  * d/p/relax-deps.diff: Stop patching tokio-stream
  * d/p/relax-deps: Stop patching exr feature for image
  * Add patch header for relax-deps.diff and skip-cargo-test.diff

 -- Matthias Geiger <werdahias@debian.org>  Fri, 06 Dec 2024 00:50:14 +0100

glycin (1.1.1+ds-3) unstable; urgency=medium

  * Source-only upload to unstable (Closes: #1088666, #1081752)
  * d/p/skip-cargo-test.diff: Refresh for new upstream
  * Drop d/patches/relax-png.diff, obsoleted
  * d/p/patch-meson.diff: Refresh for new upstream
  * d/p/disable-exr.diff: Refresh for new upstream
  * Updated watch file to reflect upstream rename
  * Add patch to relax dependencies
  * d/control: Updated build-deps from Cargo.toml for new upstream
  * Amend d/p/patch-meson for correct loader install path

 -- Matthias Geiger <werdahias@debian.org>  Thu, 05 Dec 2024 20:36:12 +0100

glycin (1.1.1+ds-2) unstable; urgency=medium

  * New upstream release with renamed source package

 -- Matthias Geiger <werdahias@debian.org>  Thu, 05 Dec 2024 20:35:20 +0100

glycin-loaders (1.0.1+ds-3) unstable; urgency=medium

  * d/rules: Disable lto on armel/hf since it OOMs otherwise

 -- Matthias Geiger <werdahias@debian.org>  Mon, 19 Aug 2024 17:26:42 +0200

glycin-loaders (1.0.1+ds-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1077449)

 -- Matthias Geiger <werdahias@debian.org>  Fri, 02 Aug 2024 15:08:38 +0200

glycin-loaders (1.0.1+ds-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches for new upstream
  * Updated build-dependencies for new upstream version
  * Enable svg support (Closes: #1064387)
  * Bump Standards-Version to 4.7.0; no changes needed
  * Add patch to relax png crate
  * d/copyright: updated copyright years, test image licensing info
  * Enable build-time tests; skip cargo-test as it fails
  * Updated README.debian
  * Updated copyright and d/watch for +ds version since the non-free images got dropped
    upstream

 -- Matthias Geiger <werdahias@debian.org>  Fri, 02 Aug 2024 14:46:03 +0200

glycin-loaders (0.1.2+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Feb 2024 15:41:19 -0500

glycin-loaders (0.1.2+dfsg-1) experimental; urgency=medium

  * Initial release. (Closes: #1050853)

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 01 Sep 2023 10:34:10 +0200

## glycin 1.1.4+ds

=== debian/changelog ===
glycin (1.1.4+ds-1build1) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Feb 2025 15:58:52 -0500

glycin (1.1.4+ds-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Exclude target/* directory, too

 -- Matthias Geiger <werdahias@debian.org>  Wed, 08 Jan 2025 21:28:36 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/cargo_registry

# Disable lto on 32-bit arches since it OOMs otherwise
execute_before_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH_BITS),32)
export DEB_BUILD_OPTIONS += optimize=-lto
endif


# Build all loaders except jxl; pass DEB_HOST_RUST type to meson to build
override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
	-Dlibglycin=false

## glycin 1.2~beta.1+ds

=== debian/changelog ===
glycin (1.2~beta.1+ds-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches for new upstream
  * d/control: Update dependencies for new upstream

 -- Matthias Geiger <werdahias@debian.org>  Tue, 04 Feb 2025 23:41:10 +0100

=== debian/control ===
Source: glycin
Section: misc
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.57),
 libcairo2-dev (>= 0.17.0),
 libgtk-4-dev,
 libheif-dev (>= 0.14.2),
 cargo:native,
 rustc:native (>= 1.80),
 libstd-rust-dev,
 librust-async-fs-2+default-dev (>= 2.1.0-~~),
 librust-async-io-2+default-dev (>= 2.3.2-~~),
 librust-async-lock-3+default-dev (>= 3.3.0-~~),
 librust-blocking-1+default-dev (>= 1.6.1-~~),
 librust-cairo-rs-0.20+default-dev (>= 0.20-~~),
 librust-env-logger-0.11+humantime-dev,
 librust-futures-channel-0.3+default-dev,
 librust-futures-lite-2+default-dev,
 librust-futures-task-0.3+default-dev,
 librust-futures-timer-3+default-dev,
 librust-futures-util-0.3+default-dev,
 librust-gdk4-0.9+default-dev (>= 0.9.5-~~),
 librust-gdk4-0.9+v4-16-dev (>= 0.9.5-~~),
 librust-gio-0.20+default-dev (>= 0.20-~~),
 librust-glib-0.20+default-dev (>= 0.20.0-~~),
 librust-glycin-2+default-dev (>= 2.1.0~beta-~~),
 librust-glycin-utils+default-dev (>= 3.0.0~beta-~~),
 librust-glycin-utils+async-io-dev (>= 3.0.0~beta-~~),
 librust-glycin-utils+loader-utils-dev (>= 3.0.0~beta-~~),
 librust-gufo-0.2+all-image-formats-dev (>= 0.2.0~alpha-~~),
 librust-gufo-0.2+default-dev (>= 0.2.0~alpha-~~),
 librust-gufo-common-0.2+serde-dev,
 librust-gufo-exif-0.2+default-dev,
 librust-gufo-jpeg-0.2+default-dev,
 librust-image-0.25+default-dev,
 librust-jpeg-encoder-0.6+default-dev,
 librust-jpegxl-rs-0.10+image-dev (>= 0.10.0-~~),
 librust-jpegxl-sys-0.10+default-dev (>= 0.10.0-~~),
 librust-lcms2-6+default-dev (>= 6.0.3-~~),
 librust-lcms2-sys-4+default-dev (>= 4.0.4-~~),
 librust-libc-0.2+default-dev (>= 0.2.152-~~),
 librust-libseccomp-0.3+default-dev (>= 0.3.0-~~),
 librust-libheif-rs-1+default-dev,
 librust-librsvg-rebind-0.1+default-dev,
 librust-log-0.4+default-dev (>= 0.4.0-~~),
 librust-memfd-0.6+default-dev (>= 0.6.3-~~),
 librust-memmap2-0.9+default-dev (>= 0.9.0-~~),
 librust-nix-0.29+fs-dev,
 librust-nix-0.29+resource-dev,
 librust-nix-0.29+signal-dev,
 librust-paste-1+default-dev (>= 1.0.0-~~),
 librust-rmp-serde-1+default-dev (>= 1.3.0-~~),
 librust-safe-transmute-0.11+default-dev (>= 0.11.2-~~),
 librust-serde-1+derive-dev (>= 1.0.162),
 librust-static-assertions-1+default-dev (>= 1.1.0),
 librust-system-deps-7+default-dev (>= 7.0-~~),
 librust-thiserror-1+default-dev (>= 1.0.57-~~),
 librust-tokio-1+fs-dev (>= 1.35.1-~~),
 librust-tokio-1+rt-dev (>= 1.35.1-~~),
 librust-tokio-1+rt-multi-thread-dev (>= 1.35.1-~~),
 librust-tokio-stream-0.1+fs-dev (>= 0.1.15-~~),
 librust-tracing-0.1+default-dev (>= 0.1.40-~~),
 librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.0-~~),
 librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.0-~~),
 librust-yeslogic-fontconfig-sys-5+default-dev (>= 5.0.0-~~),
 librust-zbus-5+p2p-dev (>= 5.2.0-~~),
 librust-zune-jpeg-0.4+default-dev,
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/GNOME/glycin
Vcs-Browser: https://salsa.debian.org/gnome-team/glycin
Vcs-Git: https://salsa.debian.org/gnome-team/glycin.git

Package: glycin-loaders
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: sandboxed image loaders for GNOME
 Glycin provides sandboxed modular image loaders for decoding
 images as GDK textures, editing images, and extracting image
 metadata. Glycin is a newer generation of image loading
 compared to gdk-pixbuf.
 .
 This package contains the image loaders.

## glycin 1.2.0+ds

=== debian/changelog ===
glycin (1.2.0+ds-5) unstable; urgency=medium

  * Fix dh_auto_test syntax
  * Remove obsolete debian/README.Debian
  * Add minimal debian/.editorconfig to work around upstream #133

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 18:56:25 -0400

glycin (1.2.0+ds-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add Build-Depends: dh-sequence-gir
  * Add more Build-Depends recommended by dh_girepository
  * Remove unnecessary Provides and add the necessary Provides
  * Remove unnecessary Pre-Depends
  * Add symbols files
  * Release to unstable

  [ Matthias Geiger ]
  * d/rules: Increase test timeout multiplier

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 17:46:14 -0400

glycin (1.2.0+ds-3) experimental; urgency=medium

  [ Jeremy Bícha ]
  * Salsa CI: stop skipping reproducibility test

  [ Marvin W ]
  * Add support to build libglycin/-gtk4 (Closes: #1101918)

 -- Matthias Geiger <werdahias@debian.org>  Thu, 03 Apr 2025 16:45:46 +0200

glycin (1.2.0+ds-2) unstable; urgency=medium

  * d/patches, d/control: Build with jpeg-xl-rs 0.11

 -- Matthias Geiger <werdahias@debian.org>  Sat, 15 Mar 2025 20:39:57 +0100

glycin (1.2.0+ds-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Refresh for new upstream
  * d/control: Bump minumum glycin(-utils) dependency

 -- Matthias Geiger <werdahias@debian.org>  Fri, 14 Mar 2025 22:15:47 +0100

glycin (1.2~rc+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #1099233)
  * d/patches: Refresh for new upstream
  * d/control: Update build-dependencies

 -- Matthias Geiger <werdahias@debian.org>  Tue, 04 Mar 2025 18:25:32 +0100

glycin (1.2~beta.1+ds-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Ignore repotest in Salsa CI

  [ Matthias Geiger ]
  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Thu, 13 Feb 2025 19:44:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,13 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-gir,
  meson (>= 0.57),
+ gobject-introspection,
+ valac,
+ gir1.2-gdk-4.0-dev,
+ gir1.2-gobject-2.0-dev,
+ gir1.2-gio-2.0-dev,
  libcairo2-dev (>= 0.17.0),
  libgtk-4-dev,
  libheif-dev (>= 0.14.2),
@@ -28,19 +34,19 @@
  librust-gdk4-0.9+v4-16-dev (>= 0.9.5-~~),
  librust-gio-0.20+default-dev (>= 0.20-~~),
  librust-glib-0.20+default-dev (>= 0.20.0-~~),
- librust-glycin-2+default-dev (>= 2.1.0~beta-~~),
- librust-glycin-utils+default-dev (>= 3.0.0~beta-~~),
- librust-glycin-utils+async-io-dev (>= 3.0.0~beta-~~),
- librust-glycin-utils+loader-utils-dev (>= 3.0.0~beta-~~),
- librust-gufo-0.2+all-image-formats-dev (>= 0.2.0~alpha-~~),
- librust-gufo-0.2+default-dev (>= 0.2.0~alpha-~~),
+ librust-glycin-2+default-dev (>= 2.1.0-~~),
+ librust-glycin-utils+default-dev (>= 3.0.0-~~),
+ librust-glycin-utils+async-io-dev (>= 3.0.0-~~),
+ librust-glycin-utils+loader-utils-dev (>= 3.0.0-~~),
+ librust-gufo-0.2+all-image-formats-dev (>= 0.2.0-~~),
+ librust-gufo-0.2+default-dev (>= 0.2.0-~~),
  librust-gufo-common-0.2+serde-dev,
  librust-gufo-exif-0.2+default-dev,
  librust-gufo-jpeg-0.2+default-dev,
  librust-image-0.25+default-dev,
  librust-jpeg-encoder-0.6+default-dev,
- librust-jpegxl-rs-0.10+image-dev (>= 0.10.0-~~),
- librust-jpegxl-sys-0.10+default-dev (>= 0.10.0-~~),
+ librust-jpegxl-rs-0.11+image-dev (>= 0.11.0-~~),
+ librust-jpegxl-sys-0.11+default-dev (>= 0.11.0-~~),
  librust-lcms2-6+default-dev (>= 6.0.3-~~),
  librust-lcms2-sys-4+default-dev (>= 4.0.4-~~),
  librust-libc-0.2+default-dev (>= 0.2.152-~~),
@@ -87,3 +93,103 @@
  compared to gdk-pixbuf.
  .
  This package contains the image loaders.
+
+Package: libglycin-1-0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Description: sandboxed image loaders for GNOME
+ Glycin provides sandboxed modular image loaders for decoding
+ images as GDK textures, editing images, and extracting image
+ metadata. Glycin is a newer generation of image loading
+ compared to gdk-pixbuf.
+ .
+ This package contains a shared library interface for glycin.
+
+Package: gir1.2-gly-1
+Architecture: any
+Multi-Arch: same
+Section: introspection
+Depends:
+ libglycin-1-0 (= ${binary:Version}),
+ ${gir:Depends},
+ ${misc:Depends},
+Description: sandboxed image loaders for GNOME
+ Glycin provides sandboxed modular image loaders for decoding
+ images as GDK textures, editing images, and extracting image
+ metadata. Glycin is a newer generation of image loading
+ compared to gdk-pixbuf.
+ .
+ This package provides the GIR introspection files for libglycin.
+
+Package: libglycin-1-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends:
+ libglycin-1-0 (= ${binary:Version}),
+ ${gir:Depends},
+ ${misc:Depends},
+Provides:
+ ${gir:Provides}
+Description: sandboxed image loaders for GNOME
+ Glycin provides sandboxed modular image loaders for decoding
+ images as GDK textures, editing images, and extracting image
+ metadata. Glycin is a newer generation of image loading
+ compared to gdk-pixbuf.
+ .
+ This package contains the development files for libglycin.
+
+Package: libglycin-gtk4-1-0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Description: sandboxed image loaders for GNOME
+ Glycin provides sandboxed modular image loaders for decoding
+ images as GDK textures, editing images, and extracting image
+ metadata. Glycin is a newer generation of image loading
+ compared to gdk-pixbuf.
+ .
+ This package contains a shared library interface for glycin
+ which provides integration with GDK / GTK4.
+
+Package: gir1.2-glygtk4-1
+Architecture: any
+Multi-Arch: same
+Section: introspection
+Depends:
+ libglycin-gtk4-1-0 (= ${binary:Version}),
+ ${gir:Depends},
+ ${misc:Depends},
+Description: sandboxed image loaders for GNOME
+ Glycin provides sandboxed modular image loaders for decoding
+ images as GDK textures, editing images, and extracting image
+ metadata. Glycin is a newer generation of image loading
+ compared to gdk-pixbuf.
+ .
+ This package provides the GIR introspection files for libglycin-gtk4.
+
+Package: libglycin-gtk4-1-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends:
+ libglycin-gtk4-1-0 (= ${binary:Version}),
+ libglycin-1-dev (= ${binary:Version}),
+ ${gir:Depends},
+ ${misc:Depends},
+Provides:
+ ${gir:Provides}
+Description: sandboxed image loaders for GNOME
+ Glycin provides sandboxed modular image loaders for decoding
+ images as GDK textures, editing images, and extracting image
+ metadata. Glycin is a newer generation of image loading
+ compared to gdk-pixbuf.
+ .
+ This package contains the development files for libglycin-gtk4.

## glycin 1.2.1+ds

=== meson_options.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
     'glycin-heif',
     'glycin-image-rs',
     'glycin-jxl',
+    'glycin-raw',
     'glycin-svg',
   ],
   value: [
@@ -44,6 +45,13 @@
   type: 'boolean',
   value: true,
   description: 'Support running tests.',
+)
+
+option(
+  'tokio_tests',
+  type: 'boolean',
+  value: true,
+  description: 'Also run tests with tokio if tests are enabled.',
 )
 
 option(

=== debian/changelog ===
glycin (1.2.1+ds-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    - explicitly list the libraries listed as required by meson.build

  [ Alessandro Astone ]
  * d/rules: Cleanup misleading execute_before_dh_auto_configure target
  * d/control: Add runtime dependency on bubblewrap
    glycin spawns a subprocess sandboxed by bubblewrap to perform the
    image decoding safely.
  * d/patches, d/rules: Disable cargo tests via meson flag so that we
    can still use it for running autopkgtests
  * d/patches: Use deprecated serde-yaml crate for tests because we
    don't have a Debian package for serde-yaml-ng yet.
  * d/tests: Add autopkgtests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Apr 2025 08:13:45 -0400

glycin (1.2.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends versions
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 13 Apr 2025 09:17:44 -0400

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,12 @@
  gir1.2-gobject-2.0-dev,
  gir1.2-gio-2.0-dev,
  libcairo2-dev (>= 0.17.0),
+ liblcms2-dev,
  libgtk-4-dev,
  libheif-dev (>= 0.14.2),
+ libjxl-dev (>= 0.10.0),
+ libseccomp-dev,
+ librsvg2-dev (>= 2.52.0),
  cargo:native,
  rustc:native (>= 1.80),
  libstd-rust-dev,
@@ -34,12 +38,12 @@
  librust-gdk4-0.9+v4-16-dev (>= 0.9.5-~~),
  librust-gio-0.20+default-dev (>= 0.20-~~),
  librust-glib-0.20+default-dev (>= 0.20.0-~~),
- librust-glycin-2+default-dev (>= 2.1.0-~~),
- librust-glycin-utils+default-dev (>= 3.0.0-~~),
- librust-glycin-utils+async-io-dev (>= 3.0.0-~~),
- librust-glycin-utils+loader-utils-dev (>= 3.0.0-~~),
- librust-gufo-0.2+all-image-formats-dev (>= 0.2.0-~~),
- librust-gufo-0.2+default-dev (>= 0.2.0-~~),
+ librust-glycin-2+default-dev (>= 2.1.1-~~),
+ librust-glycin-utils+default-dev (>= 3.0.1-~~),
+ librust-glycin-utils+async-io-dev (>= 3.0.1-~~),
+ librust-glycin-utils+loader-utils-dev (>= 3.0.1-~~),
+ librust-gufo-0.2+all-image-formats-dev (>= 0.2.3-~~),
+ librust-gufo-0.2+default-dev (>= 0.2.3-~~),
  librust-gufo-common-0.2+serde-dev,
  librust-gufo-exif-0.2+default-dev,
  librust-gufo-jpeg-0.2+default-dev,
@@ -63,6 +67,7 @@
  librust-rmp-serde-1+default-dev (>= 1.3.0-~~),
  librust-safe-transmute-0.11+default-dev (>= 0.11.2-~~),
  librust-serde-1+derive-dev (>= 1.0.162),
+ librust-serde-yaml-dev (>= 0.9.33),
  librust-static-assertions-1+default-dev (>= 1.1.0),
  librust-system-deps-7+default-dev (>= 7.0-~~),
  librust-thiserror-1+default-dev (>= 1.0.57-~~),
@@ -84,6 +89,7 @@
 Package: glycin-loaders
 Architecture: any
 Depends:
+ bubblewrap,
  ${shlibs:Depends},
  ${misc:Depends},
 Description: sandboxed image loaders for GNOME

=== debian/tests/control ===
Tests: integration-tests
Depends: @builddeps@,
         glycin-loaders,
         python3,
         python3-gi,
         gir1.2-gly-1,
         gir1.2-glygtk4-1,
# isolation-machine: needs an environment that can run bwrap
# allow-stderr: debian cargo wrapper is printing to stderr
Restrictions: isolation-machine, allow-stderr

=== debian/watch ===
version=4
opts="searchmode=plain,repack,dversionmangle=s/[~+](?:dfsg|ds)[0-9]*//g,repacksuffix=+ds, \
	uversionmangle=s/\.(alpha|beta|rc)/~$1/,downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/glycin/cache.json \
	[\d.]+/glycin-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@

## glycin 2.0~beta.2+ds

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,12 @@
 # global
+
+option(
+  'lto',
+  type: 'combo',
+  choices: ['true', 'false', 'auto'],
+  value: 'auto',
+  description: 'Control link time optimizations. The "auto" options enables LTO on x86_64 and aarch64 only. Other platforms often do not provide enough memory.',
+)
 
 option(
   'profile',
@@ -31,7 +39,7 @@
     'glycin-jxl',
     'glycin-svg',
   ],
-  description: 'List of loaders to build.',
+  description: 'List of loaders to build. Only has an effect if "glycin-loaders" is enabled.',
 )
 
 option(
@@ -43,14 +51,12 @@
 option(
   'tests',
   type: 'boolean',
-  value: true,
   description: 'Support running tests.',
 )
 
 option(
   'tokio_tests',
   type: 'boolean',
-  value: true,
   description: 'Also run tests with tokio if tests are enabled.',
 )
 
@@ -66,7 +72,13 @@
 option(
   'libglycin',
   type: 'boolean',
-  description: 'Build C bindings for the glycin crate',
+  description: 'Build libglycin C bindings for the glycin crate',
+)
+
+option(
+  'libglycin-gtk4',
+  type: 'boolean',
+  description: 'Build libglycin-gtk4 C bindings with contain GTK 4 dependent functions. If "libglycin" is disabled, this links to an installed libglycin library.',
 )
 
 option(
@@ -94,3 +106,11 @@
   value: false,
   description: 'Test python bindings. Needs python3-gi',
 )
+
+# thumbnailer
+
+option(
+  'glycin-thumbnailer',
+  type: 'boolean',
+  description: 'Build thumbnailer',
+)

=== debian/changelog ===
glycin (2.0~beta.2+ds-0ubuntu2) questing; urgency=medium

  * Remove Breaks: shortwave

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 19:35:25 -0400

glycin (2.0~beta.2+ds-0ubuntu1) questing; urgency=medium

  * New upstream release (LP: #2120186)
  * d/p: Drop patches applied upstream
  * d/p/patch-meson.diff: Rebase patch
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field
  * debian: Rename packages for version 2
  * debian: Add glycin-thumbnailers package
  * d/control: libglycin depends on glycin-loaders
  * d/control: glycin-loaders Breaks loupe and shortwave
  * d/control: Depend on HEIC and AVIF encoders

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 13 Aug 2025 11:43:03 +0200

glycin (1.2.1+ds-2ubuntu1) questing; urgency=medium

  [ Sebastien Bacher ]
  * Vendor the rust crates for Ubuntu
  * Disable patches:
    - d/p/relax-deps.diff
    - d/p/relax-jpeg-xl.diff
    - d/p/tests-serde-yaml.diff

  [ Alessandro Astone ]
  * d/rules: Move cleanup of libteststatic.a to dh_auto_clean
  * d/tests: Run execute_before_dh_auto_build before compiling tests
  * Update vendored rust crates
  * Build-Depends: quilt
  * README.source: Explain that dh-cargo-vendored-sources might not output anything

  [ Jeremy Bícha ]
  * Simplify handling exclusion of .a file
  * README.source: Remove the "general overview"
  * README.source: Add prerequisites
  * README.source: apply patches instead of discussing it
  * Use a custom vendor rule in debian/rules rather than in debian/README.source

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 01 Jul 2025 16:51:33 +0200

=== debian/control ===
Source: glycin
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 quilt,
 meson (>= 0.57),
 gobject-introspection,
 valac,
 gir1.2-gdk-4.0-dev,
 gir1.2-gobject-2.0-dev,
 gir1.2-gio-2.0-dev,
 libcairo2-dev (>= 0.17.0),
 liblcms2-dev,
 libgtk-4-dev,
 libheif-dev (>= 0.14.2),
 libjxl-dev (>= 0.10.0),
 libseccomp-dev,
 librsvg2-dev (>= 2.52.0),
 cargo:native,
 rustc:native (>= 1.80),
 libstd-rust-dev,
# librust-async-fs-2+default-dev (>= 2.1.0-~~),
# librust-async-io-2+default-dev (>= 2.3.2-~~),
# librust-async-lock-3+default-dev (>= 3.3.0-~~),
# librust-blocking-1+default-dev (>= 1.6.1-~~),
# librust-cairo-rs-0.20+default-dev (>= 0.20-~~),
# librust-env-logger-0.11+humantime-dev,
# librust-futures-channel-0.3+default-dev,
# librust-futures-lite-2+default-dev,
# librust-futures-task-0.3+default-dev,
# librust-futures-timer-3+default-dev,
# librust-futures-util-0.3+default-dev,
# librust-gdk4-0.9+default-dev (>= 0.9.5-~~),
# librust-gdk4-0.9+v4-16-dev (>= 0.9.5-~~),
# librust-gio-0.20+default-dev (>= 0.20-~~),
# librust-glib-0.20+default-dev (>= 0.20.0-~~),
# librust-glycin-2+default-dev (>= 2.1.1-~~),
# librust-glycin-utils+default-dev (>= 3.0.1-~~),
# librust-glycin-utils+async-io-dev (>= 3.0.1-~~),
# librust-glycin-utils+loader-utils-dev (>= 3.0.1-~~),
# librust-gufo-0.2+all-image-formats-dev (>= 0.2.3-~~),
# librust-gufo-0.2+default-dev (>= 0.2.3-~~),
# librust-gufo-common-0.2+serde-dev,
# librust-gufo-exif-0.2+default-dev,
# librust-gufo-jpeg-0.2+default-dev,
# librust-image-0.25+default-dev,
# librust-jpeg-encoder-0.6+default-dev,
# librust-jpegxl-rs-0.11+image-dev (>= 0.11.0-~~),
# librust-jpegxl-sys-0.11+default-dev (>= 0.11.0-~~),
# librust-lcms2-6+default-dev (>= 6.0.3-~~),
# librust-lcms2-sys-4+default-dev (>= 4.0.4-~~),
# librust-libc-0.2+default-dev (>= 0.2.152-~~),
# librust-libseccomp-0.3+default-dev (>= 0.3.0-~~),
# librust-libheif-rs-1+default-dev,
# librust-librsvg-rebind-0.1+default-dev,
# librust-log-0.4+default-dev (>= 0.4.0-~~),
# librust-memfd-0.6+default-dev (>= 0.6.3-~~),
# librust-memmap2-0.9+default-dev (>= 0.9.0-~~),
# librust-nix-0.29+fs-dev,
# librust-nix-0.29+resource-dev,
# librust-nix-0.29+signal-dev,
# librust-paste-1+default-dev (>= 1.0.0-~~),
# librust-rmp-serde-1+default-dev (>= 1.3.0-~~),
# librust-safe-transmute-0.11+default-dev (>= 0.11.2-~~),
# librust-serde-1+derive-dev (>= 1.0.162),
# librust-serde-yaml-dev (>= 0.9.33),
# librust-static-assertions-1+default-dev (>= 1.1.0),
# librust-system-deps-7+default-dev (>= 7.0-~~),
# librust-thiserror-1+default-dev (>= 1.0.57-~~),
# librust-tokio-1+fs-dev (>= 1.35.1-~~),
# librust-tokio-1+rt-dev (>= 1.35.1-~~),
# librust-tokio-1+rt-multi-thread-dev (>= 1.35.1-~~),
# librust-tokio-stream-0.1+fs-dev (>= 0.1.15-~~),
# librust-tracing-0.1+default-dev (>= 0.1.40-~~),
# librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.0-~~),
# librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.0-~~),
# librust-yeslogic-fontconfig-sys-5+default-dev (>= 5.0.0-~~),
# librust-zbus-5+p2p-dev (>= 5.2.0-~~),
# librust-zune-jpeg-0.4+default-dev,
XS-Vendored-Sources-Rust: adler2@2.0.1, ahash@0.8.12, aho-corasick@1.1.3, allocator-api2@0.2.21, approx@0.5.1, async-broadcast@0.7.2, async-channel@2.5.0, async-executor@1.13.2, async-fs@2.1.3, async-global-executor@3.1.0, async-io@2.5.0, async-lock@3.4.0, async-process@2.4.0, async-signal@0.2.12, async-task@4.7.1, async-trait@0.1.88, atomic-waker@1.1.2, autocfg@1.5.0, bit_field@0.10.2, bitflags@1.3.2, bitflags@2.9.1, bitreader@0.3.11, blocking@1.6.2, bytemuck@1.23.1, byteorder-lite@0.1.0, byteorder@1.5.0, bytes@1.10.1, cairo-rs@0.20.12, cairo-sys-rs@0.20.10, cc@1.2.31, cfg-expr@0.18.0, cfg-if@1.0.1, cfg_aliases@0.2.1, chrono@0.4.41, color_quant@1.1.0, concurrent-queue@2.5.0, crc32fast@1.5.0, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, darling@0.20.11, darling_core@0.20.11, darling_macro@0.20.11, derive_builder@0.20.2, derive_builder_core@0.20.2, derive_builder_macro@0.20.2, dlib@0.5.2, dunce@1.0.5, either@1.15.0, encoding_rs@0.8.35, endi@1.1.0, enumflags2@0.7.12, enumflags2_derive@0.7.12, enumn@0.1.14, env_filter@0.1.3, env_logger@0.11.8, equivalent@1.0.2, errno@0.3.13, event-listener-strategy@0.5.4, event-listener@5.4.0, exr@1.73.0, fallible_collections@0.5.1, fastrand@2.3.0, fdeflate@0.3.7, flate2@1.1.2, fnv@1.0.7, foreign-types-macros@0.2.3, foreign-types-shared@0.3.1, foreign-types@0.5.0, four-cc@0.4.0, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.0, futures-macro@0.3.31, futures-task@0.3.31, futures-timer@3.0.3, futures-util@0.3.31, gdk-pixbuf-sys@0.20.10, gdk-pixbuf@0.20.10, gdk4-sys@0.9.6, gdk4@0.9.6, getopts@0.2.23, getrandom@0.3.3, gif@0.13.3, gio-sys@0.20.10, gio@0.20.12, glib-macros@0.20.12, glib-sys@0.20.10, glib@0.20.12, glycin-common@1.0.0-beta.1, glycin-utils@4.0.0-beta.1, glycin@3.0.0-beta.1, gobject-sys@0.20.10, gufo-common@1.0.0-beta, gufo-exif@0.3.0-beta, gufo-jpeg@0.3.0-beta, gufo-png@0.3.0-beta, gufo-tiff@0.3.0-beta, gufo-webp@0.3.0-beta, gufo-xmp@0.3.0-beta, gufo@0.3.0-beta, half@2.6.0, hashbrown@0.14.5, hashbrown@0.15.4, heck@0.5.0, hex@0.4.3, iana-time-zone@0.1.63, ident_case@1.0.1, image-webp@0.2.3, image@0.25.6, indexmap@2.10.0, itoa@1.0.15, jiff@0.2.15, jobserver@0.1.33, jpeg-decoder@0.3.2, jpeg-encoder@0.6.1, jpegxl-rs@0.11.2+libjxl-0.11.1, jpegxl-sys@0.11.2+libjxl-0.11.1, lazy_static@1.5.0, lcms2-sys@4.0.6, lcms2@6.1.1, lebe@0.5.2, libc@0.2.174, libheif-rs@2.2.0, libheif-sys@4.1.0+1.19.8, libloading@0.8.8, libopenraw@0.4.0-alpha.11, librsvg-rebind-sys@0.1.0, librsvg-rebind@0.1.0, libseccomp-sys@0.2.1, libseccomp@0.3.0, linux-raw-sys@0.4.15, linux-raw-sys@0.9.4, log@0.4.27, matchers@0.1.0, matrixmultiply@0.3.10, memchr@2.7.5, memfd@0.6.4, memmap2@0.9.7, memoffset@0.9.1, miniz_oxide@0.8.9, mio@1.0.4, multiversion-macros@0.8.0, multiversion@0.8.0, nalgebra-macros@0.2.2, nalgebra@0.33.2, nix@0.29.0, nix@0.30.1, nu-ansi-term@0.46.0, num-bigint@0.4.6, num-complex@0.4.6, num-integer@0.1.46, num-rational@0.4.2, num-traits@0.2.19, num_enum@0.7.4, num_enum_derive@0.7.4, once_cell@1.21.3, ordered-stream@0.2.0, overload@0.1.1, pango-sys@0.20.10, pango@0.20.12, parking@2.2.1, paste@1.0.15, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.32, png@0.17.16, polling@3.9.0, ppv-lite86@0.2.21, proc-macro-crate@3.3.0, proc-macro2@1.0.95, qoi@0.4.1, quick-error@2.0.1, quote@1.0.40, rand@0.9.2, rand_chacha@0.9.0, rand_core@0.9.3, rawpointer@0.2.1, rayon-core@1.12.1, rayon@1.10.0, regex-automata@0.1.10, regex-automata@0.4.9, regex-syntax@0.6.29, regex-syntax@0.8.5, regex@1.11.1, rmp-serde@1.3.0, rmp@0.8.14, rustix@0.38.44, rustix@1.0.8, rustversion@1.0.21, ryu@1.0.20, safe-transmute@0.11.3, safe_arch@0.7.4, serde@1.0.219, serde_derive@1.0.219, serde_repr@0.1.20, serde_spanned@0.6.9, serde_yaml_ng@0.10.0, sharded-slab@0.1.7, shlex@1.3.0, signal-hook-registry@1.4.5, simba@0.9.0, simd-adler32@0.3.7, simple_logger@5.0.0, slab@0.4.10, smallvec@1.15.1, socket2@0.6.0, static_assertions@1.1.0, strsim@0.11.1, syn@2.0.104, system-deps@7.0.5, target-features@0.1.6, target-lexicon@0.13.2, thiserror-impl@2.0.12, thiserror@2.0.12, thread_local@1.1.9, tiff@0.9.1, tokio-stream@0.1.17, tokio@1.47.1, toml@0.8.23, toml_datetime@0.6.11, toml_edit@0.22.27, tracing-attributes@0.1.30, tracing-core@0.1.34, tracing-log@0.2.0, tracing-subscriber@0.3.19, tracing@0.1.41, typenum@1.18.0, unicode-ident@1.0.18, unicode-width@0.2.1, unsafe-libyaml@0.2.11, version-compare@0.2.0, version_check@0.9.5, weezl@0.1.10, wide@0.7.33, winnow@0.7.12, xml-rs@0.8.27, yeslogic-fontconfig-sys@6.0.0, zbus@5.9.0, zbus_macros@5.9.0, zbus_names@4.2.0, zerocopy@0.8.26, zune-core@0.4.12, zune-inflate@0.2.54, zune-jpeg@0.4.20, zvariant@5.6.0, zvariant_derive@5.6.0, zvariant_utils@3.2.0
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/GNOME/glycin
Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/glycin
Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/glycin.git

Package: glycin-loaders
Architecture: any
Multi-Arch: foreign
Depends:
 bubblewrap,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 libheif-plugin-aomenc | libheif-plugin-rav1e | libheif-plugin-svtenc,
Suggests:
 libheif-plugin-x265 | libheif-plugin-kvazaar,
Breaks:
 loupe (<< 49~),
Description: sandboxed image loaders for GNOME
 Glycin provides sandboxed modular image loaders for decoding
 images as GDK textures, editing images, and extracting image
 metadata. Glycin is a newer generation of image loading
 compared to gdk-pixbuf.
 .
 This package contains the image loaders.

Package: glycin-thumbnailers
Architecture: any
Multi-Arch: foreign
Depends:
 glycin-loaders (>= 2~),
 glycin-loaders (<< 3~),
 ${shlibs:Depends},
 ${misc:Depends},
Description: sandboxed image loaders for GNOME
 Glycin provides sandboxed modular image loaders for decoding
 images as GDK textures, editing images, and extracting image
 metadata. Glycin is a newer generation of image loading
 compared to gdk-pixbuf.
 .
 This package contains the image file thumbnailers

Package: libglycin-2-0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 glycin-loaders (>= 2~),
 glycin-loaders (<< 3~),
 ${shlibs:Depends},
 ${misc:Depends},
Description: sandboxed image loaders for GNOME
 Glycin provides sandboxed modular image loaders for decoding
 images as GDK textures, editing images, and extracting image
 metadata. Glycin is a newer generation of image loading
 compared to gdk-pixbuf.
 .
 This package contains a shared library interface for glycin.

Package: gir1.2-gly-2
Architecture: any
Multi-Arch: same
Section: introspection
Depends:
 libglycin-2-0 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Description: sandboxed image loaders for GNOME
 Glycin provides sandboxed modular image loaders for decoding
 images as GDK textures, editing images, and extracting image
 metadata. Glycin is a newer generation of image loading
 compared to gdk-pixbuf.
 .
 This package provides the GIR introspection files for libglycin.

Package: libglycin-2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libglycin-2-0 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Provides:
 ${gir:Provides}
Description: sandboxed image loaders for GNOME
 Glycin provides sandboxed modular image loaders for decoding
 images as GDK textures, editing images, and extracting image
 metadata. Glycin is a newer generation of image loading
 compared to gdk-pixbuf.
 .
 This package contains the development files for libglycin.

Package: libglycin-gtk4-2-0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: sandboxed image loaders for GNOME
 Glycin provides sandboxed modular image loaders for decoding
 images as GDK textures, editing images, and extracting image
 metadata. Glycin is a newer generation of image loading
 compared to gdk-pixbuf.
 .
 This package contains a shared library interface for glycin
 which provides integration with GDK / GTK4.

Package: gir1.2-glygtk4-2
Architecture: any
Multi-Arch: same
Section: introspection
Depends:
 libglycin-gtk4-2-0 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Description: sandboxed image loaders for GNOME
 Glycin provides sandboxed modular image loaders for decoding
 images as GDK textures, editing images, and extracting image
 metadata. Glycin is a newer generation of image loading
 compared to gdk-pixbuf.
 .
 This package provides the GIR introspection files for libglycin-gtk4.

Package: libglycin-gtk4-2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libglycin-gtk4-2-0 (= ${binary:Version}),
 libglycin-2-dev (= ${binary:Version}),
